package com.yc.ship.module.resource.controller.admin.baseprice.vo;

import com.yc.ship.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.time.LocalDateTime;

import static com.yc.ship.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;


@Schema(description = "管理后台 - 基础产品价格分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ProductBasePricePageReqVO extends PageParam {

    @Schema(description = "基础产品ID", example = "1129")
    private Long productBaseId;

    @Schema(description = "项目ID", example = "12571")
    private Long projectId;

    @Schema(description = "规格ID", example = "21250")
    private Long specificationId;

    @Schema(description = "成本价格", example = "26505")
    private BigDecimal costPrice;

    @Schema(description = "销售价格", example = "8982")
    private BigDecimal salePrice;

    @Schema(description = "价格类型:common通用 full全价 half半价 free免票", example = "1")
    private String specType;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}