package com.yc.ship.module.resource.controller.admin.baseprice.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

@Schema(description = "管理后台 - 基础产品价格新增/修改 Request VO")
@Data
public class ProductBasePriceSaveReqVO {

    @Schema(description = "主键", example = "25707")
    private Long id;

    @Schema(description = "基础产品ID", example = "1129")
    private Long productBaseId;

    @Schema(description = "项目ID", example = "12571")
    private Long projectId;

    @Schema(description = "规格ID", example = "21250")
    private String specificationId;

    @Schema(description = "成本价格", example = "26505")
    private BigDecimal costPrice;

    @Schema(description = "销售价格", example = "8982")
    private BigDecimal salePrice;

    @Schema(description = "价格类型:common通用 full全价 half半价 free免票", example = "common")
    private String specType;

}