package com.yc.ship.module.resource.controller.admin.car.vo;

import com.yc.ship.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.List;

@Schema(description = "管理后台 - 车辆列表 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class CarReqVO extends PageParam {

    @Schema(description = "车牌号")
    private String carNo;

    @Schema(description = "车辆类型ID", example = "12923")
    private String carTypeId;

    @Schema(description = "车辆载荷")
    private Integer carMaxLoad;

    @Schema(description = "供应商类型（字典supplier_type，内部/外部）", example = "2")
    private Integer companyType;

    @Schema(description = "能源类型（字典energy_type）", example = "2")
    private Integer energyType;

    @Schema(description = "供应商ID（车辆提供方表获取）", example = "20022")
    private String companyId;

    @Schema(description = "车辆状态（0:正常、1:维修中、2:年检、3:停运）", example = "1")
    private Integer carStatus;

    @Schema(description = "车牌id集合")
    private List<String> carIds;

}