package com.yc.ship.module.resource.controller.admin.car.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

@Schema(description = "管理后台 - 车辆管理新增/修改 Request VO")
@Data
public class CarSaveReqVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "11492")
    private String id;

    @Schema(description = "车牌号")
    private String carNo;

    @Schema(description = "车辆类型ID", example = "12923")
    private String carTypeId;

    @Schema(description = "车辆载荷")
    private Integer carMaxLoad;

    @Schema(description = "供应商ID（车辆提供方表获取）", example = "20022")
    private String companyId;

    @Schema(description = "车辆状态（正常、维修中、年检、停运）", example = "1")
    private Integer carStatus;

    @Schema(description = "标签")
    private String carTag;

    @Schema(description = "备注", example = "你猜")
    private String remark;

    @Schema(description = "默认驾驶员表ID", example = "3571")
    private String driverId;

    @Schema(description = "默认驾驶员表名称")
    private String driverName;

    @Schema(description = "排序")
    private Integer sort;

    @Schema(description = "供应商类型（字典supplier_type，内部/外部）", example = "2")
    private Integer companyType;

    @Schema(description = "能源类型（字典energy_type）", example = "2")
    private Integer energyType;

    @Schema(description = "能耗标准[度(升)/百公里]")
    private BigDecimal energyLevel;

}