package com.yc.ship.module.resource.controller.admin.cartype.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Schema(description = "管理后台 - 车辆类型管理 Response VO")
@Data
@ExcelIgnoreUnannotated
public class CarTypeRespVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "16791")
    @ExcelProperty("主键ID")
    private String id;

    @Schema(description = "类型名称", example = "赵六")
    @ExcelProperty("类型名称")
    private String name;

    @Schema(description = "类型编号")
    @ExcelProperty("类型编号")
    private String carCode;

    @Schema(description = "类型标准")
    @ExcelProperty("类型标准")
    private Integer carLevel;

    @Schema(description = "车辆载荷")
    @ExcelProperty("车辆载荷")
    private Integer carMaxLoad;

    @Schema(description = "类型固定成本")
    @ExcelProperty("类型固定成本")
    private BigDecimal carFixedCost;

    @Schema(description = "备注", example = "你猜")
    @ExcelProperty("备注")
    private String remark;

    @Schema(description = "启用状态", example = "1")
    private Integer useStatus;

    @Schema(description = "创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "更新时间")
    @ExcelProperty("更新时间")
    private LocalDateTime updateTime;

    @Schema(description = "能耗标准[度(升)/百公里]")
    @ExcelProperty("能耗标准[度(升)/百公里]")
    private BigDecimal energyLevel;

}