package com.yc.ship.module.resource.controller.admin.cartype.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

@Schema(description = "管理后台 - 车辆类型管理新增/修改 Request VO")
@Data
public class CarTypeSaveReqVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "16791")
    private String id;

    @Schema(description = "类型名称", example = "赵六")
    private String name;

    @Schema(description = "类型编号")
    private String carCode;

    @Schema(description = "类型标准")
    private Integer carLevel;

    @Schema(description = "车辆载荷")
    private Integer carMaxLoad;

    @Schema(description = "类型固定成本")
    private BigDecimal carFixedCost;

    @Schema(description = "备注", example = "你猜")
    private String remark;

    @Schema(description = "启用状态", example = "1")
    private Integer useStatus;

    @Schema(description = "能耗标准[度(升)/百公里]")
    private BigDecimal energyLevel;

}