package com.yc.ship.module.resource.controller.admin.cartype.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Schema(description = "管理后台 - 车辆类型精简信息 Response VO")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CarTypeSimpleRespVO {

    @Schema(description = "类型ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "11")
    private String id;

    @Schema(description = "类型名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "19座")
    private String name;

    @Schema(description = "父类型id", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    private String parentId;

    @Schema(description = "车辆载荷(人)")
    private Integer carMaxLoad;

    @Schema(description = "每个类型下车辆总数")
    private Integer carTypeNum;

}
