package com.yc.ship.module.resource.controller.admin.driver.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

@Schema(description = "管理后台 - 驾驶员默认车辆查询 Request VO")
@Data
@ToString(callSuper = true)
public class DriverReqVO {

    @Schema(description = "驾驶员姓名", example = "张三")
    private String name;

    @Schema(description = "身份证号")
    private String idCard;

    @Schema(description = "性别")
    private Integer sex;

    @Schema(description = "联系电话")
    private String phone;

    @Schema(description = "驾驶员类型(0内部、1外部,与供应商类型保持一致)", example = "1")
    private Integer driverType;

    @Schema(description = "供应商类型", example = "1")
    private Integer supplierType;

    @Schema(description = "所属供应商id")
    private String companyId;

    @Schema(description = "驾驶员默认关联的车牌号")
    private String carNo;

    // 租户ID
    private String tenantId;

}