package com.yc.ship.module.resource.controller.admin.driver.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.Date;

@Schema(description = "管理后台 - 驾驶员管理新增/修改 Request VO")
@Data
public class DriverSaveReqVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "23665")
    private String id;

    @Schema(description = "驾驶员姓名", example = "张三")
    private String name;

    @Schema(description = "驾驶员编号")
    private String driverCode;

    @Schema(description = "微信号")
    private String wxNo;

    @Schema(description = "驾驶员分组")
    private String groupId;

    @Schema(description = "身份证号")
    private String idCard;

    @Schema(description = "性别 system_user_sex")
    private Integer sex;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @Schema(description = "生日")
    private Date birthday;

    @Schema(description = "联系电话")
    private String phone;

    @Schema(description = "准驾车型(A1,A2,A3...) dispatch_driver_level")
    private String driverLevel;

    @Schema(description = "驾驶员类型(0内部、1外部,与供应商类型保持一致)", example = "1")
    private String driverType;

    @Schema(description = "学历(小学、初中、高中、大学、研究生..)", example = "2")
    private Integer eduType;

    @Schema(description = "民族(字典选择) china_nation")
    private String nation;

    @Schema(description = "联系地址")
    private String address;

    @Schema(description = "紧急联系电话")
    private String emergentPhone;

    @Schema(description = "启用状态：0禁用、1启用 use_status", example = "1")
    private Integer useStatus;

    @Schema(description = "标签")
    private String driverTag;

    @Schema(description = "驾驶员头像")
    private String portraitUrl;

    @Schema(description = "驾照正面")
    private String driverCardImgUrl1;

    @Schema(description = "驾照副页")
    private String driverCardImgUrl2;

    @Schema(description = "身份证证件号正面")
    private String idCardImgUrl1;

    @Schema(description = "身份证证件号背面")
    private String idCardImgUrl2;

    @Schema(description = "初次领证日期")
    private LocalDateTime firstIssuedate;

    @Schema(description = "审验到期日期")
    private LocalDateTime annualPeriod;

    @Schema(description = "供应商类型 supplier_type", example = "1")
    private Integer supplierType;

    @Schema(description = "所属供应商id")
    private String companyId;

    @Schema(description = "备注")
    private String remark;

    @Schema(description = "排序")
    private Integer sort;

}
