package com.yc.ship.module.resource.controller.admin.drivergroup.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 驾驶员分组 Response VO")
@Data
@ExcelIgnoreUnannotated
public class DriverGroupRespVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "14389")
    @ExcelProperty("主键ID")
    private String id;

    @Schema(description = "分组名称", example = "芋艿")
    @ExcelProperty("分组名称")
    private String name;

    @Schema(description = "父级ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "23655")
    @ExcelProperty("父级ID")
    private String parentId;

    @Schema(description = "分组编号")
    @ExcelProperty("分组编号")
    private String groupCode;

    @Schema(description = "排序")
    @ExcelProperty("排序")
    private Integer sort;

    @Schema(description = "创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}