package com.yc.ship.module.resource.controller.admin.drivergroup.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotEmpty;

@Schema(description = "管理后台 - 驾驶员分组新增/修改 Request VO")
@Data
public class DriverGroupSaveReqVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "14389")
    private String id;

    @Schema(description = "分组名称", example = "芋艿")
    private String name;

    @Schema(description = "父级ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "23655")
    @NotEmpty(message = "父级ID不能为空")
    private String parentId;

    @Schema(description = "分组编号")
    private String groupCode;

    @Schema(description = "排序")
    private Integer sort;

}