package com.yc.ship.module.resource.controller.admin.guide.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Schema(description = "管理后台 - 驾驶员精简信息 Response VO")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class GuideSimpleRespVO {

    @Schema(description = "导游ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "11")
    private String id;

    @Schema(description = "导游名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "张三")
    private String name;

    @Schema(description = "是否删除", requiredMode = Schema.RequiredMode.REQUIRED, example = "张三")
    private Integer deleted;

    @Schema(description = "是否启用", requiredMode = Schema.RequiredMode.REQUIRED, example = "张三")
    private Integer useStatus;

    @Schema(description = "租户Id", example = "1")
    private Long tenantId;

}
