package com.yc.ship.module.resource.controller.admin.guidecheckin.vo;

import com.yc.ship.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDate;
import java.time.LocalDateTime;

import static com.yc.ship.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;


@Schema(description = "管理后台 - 导游出勤分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class GuideCheckInPageReqVO extends PageParam {

    @Schema(description = "导游id/驾驶员id", example = "4890")
    private String guideId;

    @Schema(description = "姓名", example = "张三")
    private String guideName;

    @Schema(description = "类型(0内部、1外部)", example = "2")
    private String guideType;

    @Schema(description = "用户类型", example = "（导游-1，驾驶员-2）")
    private String type;

    @Schema(description = "出勤时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDate[] checkTime;
    @Schema(description = "出勤时间")
    private LocalDate startCheckTime;
    @Schema(description = "出勤时间")
    private LocalDate endCheckTime;

    @Schema(description = "考勤状态", example = "2")
    private Integer status;

    @Schema(description = "备注", example = "随便")
    private String remark;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}
