package com.yc.ship.module.resource.controller.admin.guidecheckin.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

@Schema(description = "管理后台 - 导游出勤 Response VO")
@Data
@ExcelIgnoreUnannotated
public class GuideCheckInRespVO {

    @Schema(description = "主键id", requiredMode = Schema.RequiredMode.REQUIRED, example = "4142")
    @ExcelProperty("主键id")
    private String id;

    @Schema(description = "用户类型（导游-1，驾驶员-2）", example = "2")
    @ExcelProperty("用户类型（导游-1，驾驶员-2）")
    private Integer type;

    @Schema(description = "类型(0内部、1外部)", example = "2")
    @ExcelProperty("类型(0内部、1外部)")
    private Integer userType;

    @Schema(description = "导游id", requiredMode = Schema.RequiredMode.REQUIRED, example = "4890")
    @ExcelProperty("导游id")
    private String guideId;

    @Schema(description = "出勤时间")
    @ExcelProperty("出勤时间")
    private LocalDateTime checkTime;

    @Schema(description = "出勤时间类型 上午或下午(0-上午，1-下午，2-全天)")
    @ExcelProperty("出勤时间类型")
    private Integer checkTimeType;

    @Schema(description = "考勤状态", example = "2")
    @ExcelProperty("考勤状态")
    private Integer status;

    @Schema(description = "备注", example = "随便")
    @ExcelProperty("备注")
    private String remark;

    @Schema(description = "创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;


    @Schema(description = "姓名")
    @ExcelProperty("姓名")
    private String name;

    @Schema(description = "性别")
    @ExcelProperty("性别")
    private Integer sex;

    private Map<String, Integer> guideCheckInMap;
    private Map<String, Object> leaveDataMap;

    @Schema(description = "调度了的日期")
    private List<String> dispatchDateList;


}
