package com.yc.ship.module.resource.controller.admin.guidecheckin.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.time.LocalDate;

@Schema(description = "管理后台 - 导游出勤新增/修改 Request VO")
@Data
public class GuideCheckInSaveReqVO {

    @Schema(description = "主键id", requiredMode = Schema.RequiredMode.REQUIRED, example = "4142")
    private String id;

    @Schema(description = "导游id", requiredMode = Schema.RequiredMode.REQUIRED, example = "4890")
    @NotEmpty(message = "导游id不能为空")
    private String guideId;

    @Schema(description = "出勤时间")
    private LocalDate checkTime;

    @Schema(description = "出勤日期上午或下午(0-上午，1-下午)", example = "2")
    private Integer checkTimeType;

    @Schema(description = "出勤时间")
    private String checkTimeStr;

    @Schema(description = "考勤状态", example = "2")
    private Integer status;

    @Schema(description = "用户类型", example = "（导游-1，驾驶员-2）")
    private String type;

    @Schema(description = "备注", example = "随便")
    private String remark;

}
