package com.yc.ship.module.resource.controller.admin.resource.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

@Schema(description = "管理后台 - 产品资源 Response VO")
@Data
public class ReducedResourceRespVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "16598")
    private Long id;

    @Schema(description = "资源名称", example = "李四")
    private String name;

    @Schema(description = "供应商ID", example = "10875")
    private Long supplierId;

    @Schema(description = "来源", example = "1")
    private Integer sourceType;

    @Schema(description = "类别ID", example = "32017")
    private String categoryId;

    @Schema(description = "第三方资源ID", example = "13752")
    private String thirdResourceId;

    @Schema(description = "对接类型", example = "2")
    private Integer accessType;

    @Schema(description = "总库存;不填表示不限制")
    private Integer stock;

    @Schema(description = "供应商名称")
    private String supplierName;

    @Schema(description = "参考价")
    private BigDecimal price;

    @Schema(description = "产品id")
    private Long productId;

    @Schema(description = "产品名称")
    private String productName;

    @Schema(description = "基础产品id")
    private Long productBaseId;

    @Schema(description = "基础产品名称")
    private String productBaseName;

    @Schema(description = "扣减数")
    private Integer reducedNum;
}