package com.yc.ship.module.resource.controller.admin.resource.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Schema(description = "管理后台 - 产品资源 Response VO")
@Data
@ExcelIgnoreUnannotated
public class ResourceRespVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "16598")
    @ExcelProperty("主键")
    private Long id;

    @Schema(description = "资源名称", example = "李四")
    @ExcelProperty("资源名称")
    private String name;

    @Schema(description = "是否启用;0否 1是")
    @ExcelProperty("是否启用;0否 1是")
    private Integer isUse;

    @Schema(description = "供应商ID", example = "10875")
    @ExcelProperty("供应商ID")
    private Long supplierId;

    @Schema(description = "来源", example = "1")
    @ExcelProperty("来源")
    private Integer sourceType;

    @Schema(description = "类别ID", example = "32017")
    @ExcelProperty("类别ID")
    private String categoryId;

    @Schema(description = "接入开始时间")
    @ExcelProperty("接入开始时间")
    private LocalDateTime startTime;

    @Schema(description = "截止时间")
    @ExcelProperty("截止时间")
    private LocalDateTime endTime;

    @Schema(description = "结算参考价", example = "6901")
    @ExcelProperty("结算参考价")
    private BigDecimal price;

    @Schema(description = "第三方资源ID", example = "13752")
    @ExcelProperty("第三方资源ID")
    private String thirdResourceId;

    @Schema(description = "对接类型", example = "2")
    @ExcelProperty("对接类型")
    private Integer accessType;

    @Schema(description = "总库存;不填表示不限制")
    @ExcelProperty("总库存;不填表示不限制")
    private Integer stock;

    @Schema(description = "创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "所属分类名称")
    @ExcelProperty("所属分类名称")
    private String categoryName;

    @Schema(description = "供应商名称")
    @ExcelProperty("供应商名称")
    private String supplierName;
}