package com.yc.ship.module.resource.dal.dataobject.baseprice;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yc.ship.framework.mybatis.core.dataobject.BaseDO;
import lombok.*;

import java.math.BigDecimal;

/**
 * 基础产品价格 DO
 *
 * @author 管理员
 */
@TableName("product_base_price")
@KeySequence("product_base_price_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ProductBasePriceDO extends BaseDO {

    /**
     * 主键
     */
    @TableId(type= IdType.INPUT)
    private Long id;
    /**
     * 基础产品ID
     */
    private Long productBaseId;
    /**
     * 项目ID
     */
    private Long projectId;
    /**
     * 规格ID
     */
    private Long specificationId;
    /**
     * 成本价格
     */
    private BigDecimal costPrice;
    /**
     * 销售价格
     */
    private BigDecimal salePrice;
    /**
     * 价格类型:common通用 full全价 half半价 free免票
     */
    private String specType;

}