package com.yc.ship.module.resource.dal.dataobject.car;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yc.ship.framework.mybatis.core.dataobject.BaseDO;
import lombok.*;

import java.math.BigDecimal;

/**
 * 车辆管理 DO
 *
 * @author 管理员
 */
@TableName("dispatch_car")
@KeySequence("dispatch_car_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CarDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId(type = IdType.INPUT)
    private String id;
    /**
     * 车牌号
     */
    private String carNo;
    /**
     * 车辆类型ID
     */
    private String carTypeId;
    /**
     * 车辆载荷
     */
    private Integer carMaxLoad;
    /**
     * 供应商ID（车辆提供方表获取）
     */
    private String companyId;
    /**
     * 车辆状态（正常、维修中、年检、停运）
     */
    private Integer carStatus;
    /**
     * 标签
     */
    private String carTag;
    /**
     * 备注
     */
    private String remark;
    /**
     * 默认驾驶员表ID
     */
    private String driverId;
    /**
     * 排序
     */
    private Integer sort;

    /**
     * 供应商类型（字典supplier_type，0：内部/1：外部）
     */
    private Integer companyType;
    /**
     * 能源类型（字典energy_type）
     */
    private Integer energyType;
    /**
     * 能耗标准[度(升)/百公里]
     */
    private BigDecimal energyLevel;

}