package com.yc.ship.module.resource.dal.dataobject.company;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yc.ship.framework.tenant.core.db.TenantBaseDO;
import lombok.*;

import java.time.LocalDateTime;

/**
 * 供应商 DO
 *
 * @author 管理员
 */
@TableName("dispatch_company")
@KeySequence("dispatch_company_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CompanyDO extends TenantBaseDO {

    /**
     * 主键ID
     */
    @TableId(type = IdType.INPUT)
    private String id;
    /**
     * 供应商编码
     */
    private String companyCode;
    /**
     * 供应商名称
     */
    private String companyName;
    /**
     * 简称
     */
    private String shortName;
    /**
     * 供应商类型（内部供应商、外部供应商）
     */
    private String companyType;
    /**
     * 联系人
     */
    private String contactUser;
    /**
     * 联系电话
     */
    private String contactPhone;
    /**
     * 联系地址
     */
    private String contactAddr;
    /**
     * 合同签订日期
     */
    private LocalDateTime contractDate;
    /**
     * 状态(合作中、合作终止);合作中、合作终止
     */
    private Integer useStatus;
    /**
     * 合同信息(上传附件，可以多个文件);上传附件，可以多个文件
     */
    private String contractInfo;
    /**
     * 备注
     */
    private String remark;
    /**
     * 开户银行
     */
    private String bankName;
    /**
     * 开户账户
     */
    private String bankAccout;
    /**
     * 银行账号姓名
     */
    private String bankUserName;
    /**
     * 联行号
     */
    private String bankLinkNo;

    /**
     * 资源类型(字典)
     */
    private Integer resourceType;

}