package com.yc.ship.module.resource.dal.dataobject.resource;

import com.baomidou.mybatisplus.annotation.*;
import com.yc.ship.framework.tenant.core.db.TenantBaseDO;
import lombok.*;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 产品资源 DO
 *
 * @author 管理员
 */
@TableName("product_resource")
@KeySequence("product_resource_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ResourceDO extends TenantBaseDO {

    /**
     * 主键
     */
    @TableId(type= IdType.INPUT)
    private Long id;
    /**
     * 资源名称
     */
    private String name;
    /**
     * 是否启用;0否 1是
     */
    private Integer isUse;
    /**
     * 供应商ID
     */
    private Long supplierId;
    /**
     * 来源
     */
    private Integer sourceType;
    /**
     * 类别ID
     */
    private String categoryId;
    /**
     * 接入开始时间
     */
    private LocalDateTime startTime;
    /**
     * 截止时间
     */
    private LocalDateTime endTime;
    /**
     * 结算参考价
     */
    private BigDecimal price;
    /**
     * 第三方资源ID
     */
    private String thirdResourceId;
    /**
     * 对接类型
     */
    @TableField(exist = false)
    private Integer accessType;
    /**
     * 总库存;不填表示不限制
     */
    private Integer stock;


    @TableField(exist = false)
    private String categoryName;

    @TableField(exist = false)
    private String supplierName;


}