package com.yc.ship.module.resource.service.baseprice;


import com.yc.ship.framework.common.pojo.PageResult;
import com.yc.ship.module.resource.controller.admin.baseprice.vo.ProductBasePricePageReqVO;
import com.yc.ship.module.resource.controller.admin.baseprice.vo.ProductBasePriceRespVO;
import com.yc.ship.module.resource.controller.admin.baseprice.vo.ProductBasePriceSaveReqVO;
import com.yc.ship.module.resource.dal.dataobject.baseprice.ProductBasePriceDO;

import javax.validation.Valid;
import java.util.List;

/**
 * 基础产品价格 Service 接口
 *
 * @author 管理员
 */
public interface ProductBasePriceService {

    /**
     * 创建基础产品价格
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createBasePrice(@Valid ProductBasePriceSaveReqVO createReqVO);

    /**
     * 更新基础产品价格
     *
     * @param updateReqVO 更新信息
     */
    void updateBasePrice(@Valid ProductBasePriceSaveReqVO updateReqVO);

    /**
     * 删除基础产品价格
     *
     * @param id 编号
     */
    void deleteBasePrice(Long id);

    /**
     * 删除基础产品价格
     *
     * @param baseId 编号
     */
    void deleteByProductBaseId(Long baseId);

    /**
     * 获得基础产品价格
     *
     * @param id 编号
     * @return 基础产品价格
     */
    ProductBasePriceDO getBasePrice(Long id);

    /**
     * 获得基础产品价格分页
     *
     * @param pageReqVO 分页查询
     * @return 基础产品价格分页
     */
    PageResult<ProductBasePriceDO> getBasePricePage(ProductBasePricePageReqVO pageReqVO);

    List<ProductBasePriceRespVO> queryPriceByBase(Long baseId);
}